package com.mx.dla.dda.contrato.titulo.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class Lista extends BaseDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5301730606167049323L;
	private Long idLista;
	private Long idContrato;
	private Date fechaCreacion;
	private Date fechaInicio;
	private Date fechaFin;
	private Long idContratoCreacion;
	
	private Date fechaInicioPlusOneDay;
	
	
	/**
	 * Se usa para definir si ira a la tabla T o M de dda_{prefix}_contrato_titulo
	 */
	private String prefix;
	
	public static final String REAL = "T";
	public static final String MIRROR = "M";
	
	public Lista()
	{
		prefix = MIRROR;
	}
			
	public Lista(Long idContrato, Date fechaInicio, String prefix) {		
		this.idContrato = idContrato;
		this.fechaInicio = fechaInicio;
		this.prefix = prefix;
	}

	public Long getIdLista() {
		return idLista;
	}
	public void setIdLista(Long idLista) {
		this.idLista = idLista;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Date getFechaCreacion() {
		return fechaCreacion;
	}
	public void setFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
	}
	public Date getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public Date getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	public Date getFechaInicioPlusOneDay() {
		return fechaInicioPlusOneDay;
	}
	public void setFechaInicioPlusOneDay(Date fechaInicioPlusOneDay) {
		this.fechaInicioPlusOneDay = fechaInicioPlusOneDay;
	}
	public Long getIdContratoCreacion() {
		return idContratoCreacion;
	}
	public void setIdContratoCreacion(Long idContratoCreacion) {
		this.idContratoCreacion = idContratoCreacion;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
}
